Skip to main content
PUT
/
v2
/
partner
/
organizations
/
{organization_id}
Update Partner Organization
curl --request PUT \
  --url https://api.trykintsugi.com/v2/partner/organizations/{organization_id} \
  --header 'Content-Type: application/json' \
  --header 'X-API-KEY: <api-key>' \
  --data '
{
  "name": "<string>",
  "street1": "<string>",
  "street2": "<string>",
  "city": "<string>",
  "state": "<string>",
  "postalCode": "<string>",
  "country": "<string>"
}
'
{
  "name": "<string>",
  "external_id": "<string>",
  "promo": "<string>",
  "id": "<string>",
  "status": "ACTIVE",
  "is_test": true,
  "billing_plan": "FREE",
  "disable_emails": false,
  "customer_id": "<string>",
  "subscription_id": "<string>",
  "scheduled_deletion": "2023-12-25",
  "email_group": "<string>",
  "internal_use": false
}

Documentation Index

Fetch the complete documentation index at: https://docs.trykintsugi.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

X-API-KEY
string
header
required

Headers

x-partner-id
string | null
Maximum string length: 100

Path Parameters

organization_id
string
required

Body

application/json
name
string | null
Maximum string length: 200
street1
string | null
Maximum string length: 200
street2
string | null
Maximum string length: 200
city
string | null
Maximum string length: 100
state
string | null
Maximum string length: 100
postalCode
string | null
Maximum string length: 20
country
string | null
Maximum string length: 100

Response

Successful Response

name
string | null
required
external_id
string
required
source
enum<string> | null
required
Available options:
PARTNER,
SEARCH,
LINKEDIN,
LINKEDIN_AD,
GOOGLE_AD,
REFERRAL,
UNKNOWN
promo
string | null
required
id
string
required
status
enum<string>
default:ACTIVE
Available options:
ACTIVE,
ARCHIVED
is_test
boolean
default:true
billing_plan
enum<string>
default:FREE
Available options:
FREE,
GROWTH,
PREMIUM
disable_emails
boolean
default:false
customer_id
string | null
subscription_id
string | null
scheduled_deletion
string<date> | null
email_group
string | null
internal_use
boolean | null
default:false

This organization is used for internal testing purposes only